<?php
class viewpengumuman{
    var $id;
    
    function pengumuman(){
        $pengumuman = mysql_query("SELECT * FROM pengumuman WHERE id_pengumuman = $this->id");
        $p = mysql_fetch_array($pengumuman);
        
        $data = array(
                        'id' => $p[id_pengumuman],
                        'id_user' => $p[id_user],
                        'subjek' => $p[subjek],    
                        'pengumuman' => $p[pengumuman],
                        'tujuan' => $p[tujuan],
                        'tanggal' => $p[tanggal]
                     );
        
        return($data);
        
    }
    
    function listpengumuman($tujuan){
        $pengumuman = mysql_query("SELECT * FROM pengumuman WHERE tujuan = '$tujuan' OR tujuan = '' ORDER BY id_pengumuman DESC");
        
        while ($p = mysql_fetch_array($pengumuman)){
            $data[$i] = array(
                        'id' => $p[id_pengumuman],
                        'id_user' => $p[id_user],
                        'subjek' => $p[subjek],
                        'pengumuman' => $p[pengumuman],
                        'tujuan' => $p[tujuan],
                        'tanggal' => $p[tanggal]
                     );
            
            $i++;
        }
        
        return($data);
    }
    
    function listpengumumanall(){
        $pengumuman = mysql_query("SELECT * FROM pengumuman ORDER BY id_pengumuman DESC");
        
        while ($p = mysql_fetch_array($pengumuman)){
            $data[$i] = array(
                        'id' => $p[id_pengumuman],
                        'id_user' => $p[id_user],
                        'subjek' => $p[subjek],
                        'pengumuman' => $p[pengumuman],
                        'tujuan' => $p[tujuan],
                        'tanggal' => $p[tanggal]
                     );
            
            $i++;
        }
        
        return($data);
    }
    
    function addpengumuman($id_user,$subjek,$pengumuman,$tujuan,$tanggal){
        
        mysql_query("INSERT INTO pengumuman(    id_user,
                                                subjek,
                                                pengumuman,
                                                tujuan,
                                                tanggal) 
                                                VALUES(
                                                '$id_user',
                                                '$subjek',
                                                '$pengumuman',
                                                '$tujuan',
                                                '$tanggal')");
    }
    
    function editpengumuman($id,$subjek,$pengumuman,$tujuan){
        
        mysql_query("UPDATE pengumuman SET  subjek          = '$subjek',
                                            pengumuman      = '$pengumuman',
                                            tujuan          = '$tujuan') 
                                            WHERE    
                                            id_pengumuman   = '$id'");
    }
    
    function deletepengumuman(){
        mysql_query("DELETE FROM pengumuman where id_pengumuman = $this->id");
    }
}

